Skip to content
Proud to collaborate with Microsoft for Startups

argocd.application.pod-logs ​

PodLogs returns stream of log entries for the specified pod. Pod

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-argocd
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
namestringYes——
podnamestringYes——
namespacestringNo——
containerstringNo——
sincesecondsstringNo——
sincetime_secondsstringNo—Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z inclusive.
sincetime_nanosintegerNo—Non-negative fractions of a second at nanosecond resolution. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be from 0 to 999,999,999 inclusive. This field may be limited in precision depending on context.
taillinesstringNo——
followbooleanNo——
untiltimestringNo——
filterstringNo——
kindstringNo——
groupstringNo——
resourcenamestringNo——
previousbooleanNo——
appnamespacestringNo——
projectstringNo——
matchcasebooleanNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
namestringYes——
podnamestringYes——
namespacestringNo——
containerstringNo——
sincesecondsstringNo——
sincetime_secondsstringNo—Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z inclusive.
sincetime_nanosintegerNo—Non-negative fractions of a second at nanosecond resolution. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be from 0 to 999,999,999 inclusive. This field may be limited in precision depending on context.
taillinesstringNo——
followbooleanNo——
untiltimestringNo——
filterstringNo——
kindstringNo——
groupstringNo——
resourcenamestringNo——
previousbooleanNo——
appnamespacestringNo——
projectstringNo——
matchcasebooleanNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /api/v1/applications/{name}/pods/{podName}/logs
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /api/v1/applications/{name}/pods/{podName}/logs
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "argocd.application.pod-logs",
  "initial_data": {
    "base_url": "value",
    "name": "value",
    "podname": "value"
  }
}